Skip to main content
GET
/
workspaces
/
{workspace_id}
/
workflows
/
sync
/
repositories
Error
A valid request URL is required to generate request examples
[
  {
    "id": 123,
    "name": "<string>",
    "full_name": "<string>",
    "private": true,
    "default_branch": "<string>",
    "git_url": "<string>",
    "installation_id": 123,
    "installation_account": "<string>",
    "html_url": "<string>",
    "installation_account_type": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Response

Successful Response

id
integer
required
name
string
required
full_name
string
required
private
boolean
required
default_branch
string
required
git_url
string
required
installation_id
integer
required
installation_account
string
required
html_url
string | null
installation_account_type
string | null